> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.streamskill.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Stop

> Stop multiple purchases at once. Maximum 100 orders per request.



## OpenAPI

````yaml POST /purchases/bulk-stop
openapi: 3.0.0
info:
  title: StreamSkill - OpenApi 3.0
  description: ''
  termsOfService: https://streamskill.pro/en/privacy_policy
  version: 1.0.0
  contact:
    email: streamskillpro@gmail.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.streamskill.pro/v1
    description: Production server - v1
security:
  - bearerAuth: []
paths:
  /purchases/bulk-stop:
    parameters:
      - $ref: '#/components/parameters/Accept-Language'
    post:
      summary: Bulk Stop
      description: Stop multiple purchases at once. Maximum 100 orders per request.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkIdsObject'
      responses:
        '200':
          $ref: '#/components/responses/BulkActionResult'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '422':
          $ref: '#/components/responses/validationError'
components:
  parameters:
    Accept-Language:
      name: Accept-Language
      in: header
      required: false
      description: The language of the response
      schema:
        $ref: '#/components/schemas/LanguageObject'
  schemas:
    BulkIdsObject:
      type: object
      required:
        - ids
      properties:
        ids:
          type: array
          description: Array of order IDs (maximum 100)
          items:
            type: integer
          minItems: 1
          maxItems: 100
          example:
            - 1
            - 2
            - 3
    LanguageObject:
      type: string
      enum:
        - en
        - ru
      default: en
    BulkActionResultObject:
      type: object
      properties:
        success:
          type: array
          description: Array of successfully processed order IDs
          items:
            type: integer
          example:
            - 1
            - 2
        failed:
          type: array
          description: Array of failed orders with error messages
          items:
            type: object
            properties:
              id:
                type: integer
                description: Order ID
              error:
                type: string
                description: Error message
          example:
            - id: 3
              error: Order not found
  responses:
    BulkActionResult:
      description: Bulk Action Result
      headers:
        Date:
          $ref: '#/components/headers/Date'
        Server:
          $ref: '#/components/headers/Server'
        Content-Length:
          $ref: '#/components/headers/Content-Length'
        Keep-Alive:
          $ref: '#/components/headers/Keep-Alive'
        Connection:
          $ref: '#/components/headers/Connection'
        Content-Type:
          $ref: '#/components/headers/Content-Type'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BulkActionResultObject'
    Unauthorized:
      description: Unauthorized
      headers:
        Date:
          $ref: '#/components/headers/Date'
        Server:
          $ref: '#/components/headers/Server'
        Content-Length:
          $ref: '#/components/headers/Content-Length'
        Keep-Alive:
          $ref: '#/components/headers/Keep-Alive'
        Connection:
          $ref: '#/components/headers/Connection'
        Content-Type:
          $ref: '#/components/headers/Content-Type'
      content:
        application/json:
          schema:
            type: object
          example:
            name: Unauthorized
            message: Your request was made with invalid credentials.
            code: 0
            status: 401
            type: unauthorized_http_exception
    validationError:
      description: Validation Error
      headers:
        Date:
          $ref: '#/components/headers/Date'
        Server:
          $ref: '#/components/headers/Server'
        Content-Length:
          $ref: '#/components/headers/Content-Length'
        Keep-Alive:
          $ref: '#/components/headers/Keep-Alive'
        Connection:
          $ref: '#/components/headers/Connection'
        Content-Type:
          $ref: '#/components/headers/Content-Type'
      content:
        application/json:
          schema:
            type: object
          example:
            name: Bad Request
            errors:
              tarif.id:
                - Tarif not found
            code: 0
            status: 422
            type: validate_exception
  headers:
    Date:
      schema:
        type: string
        example: Sat, 25 May 2024 23:59:59 GMT
    Server:
      schema:
        type: string
        example: Apache/2.4.38 (Debian)
    Content-Length:
      schema:
        type: integer
        example: '100'
    Keep-Alive:
      schema:
        type: string
        example: timeout=5, max=100
    Connection:
      schema:
        type: string
        example: Keep-Alive
    Content-Type:
      schema:
        type: string
      example: application/json; charset=UTF-8
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````